/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.core;

import java.util.Map;

/**
 * @version $Revision$
 * @author $Author$
 */
public class InfosAction {

    // champs prives
    private IAction action; // l'action a executer
    private IVue vue; // la vue a afficher
    private Map<String, IVue> etats; // le dictionnaire des etats de l'action

    // a executer

    /**
     * @return Returns the action.
     */
    public IAction getAction() {
        return this.action;
    }

    /**
     * @return Returns the etats.
     */
    public Map<String, IVue> getEtats() {
        return this.etats;
    }

    /**
     * @return Returns the vue.
     */
    public IVue getVue() {
        return this.vue;
    }

    /**
     * @param action
     *            The action to set.
     */
    public void setAction(final IAction action) {
        this.action = action;
    }

    /**
     * @param etats
     *            The etats to set.
     */
    public void setEtats(final Map<String, IVue> etats) {
        this.etats = etats;
    }

    /**
     * @param vue
     *            The vue to set.
     */
    public void setVue(final IVue vue) {
        this.vue = vue;
    }
}
