/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.vues;

import java.awt.Component;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.SwingConstants;

import net.simcafamily.paksou.presentation.core.AbstractVue;

public class VueErreurs extends AbstractVue {
    JPanel contentPane;
    JLabel jLabel1 = new JLabel();
    JTextArea jTextAreaTextes = new JTextArea();
    JButton jButtonRetour = new JButton();
    JButton jButtonQuitter = new JButton();

    // affiche
    @Override
    public Component affiche() {
        // affichage classe parent
        this.contentPane = new JPanel();
        this.jLabel1.setFont(new java.awt.Font("Garamond", 1, 16));
        this.jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
        this.jLabel1.setText("Les erreurs suivantes se sont produites !");
        this.jLabel1.setBounds(new Rectangle(15, 27, 374, 44));
        this.contentPane.setLayout(null);
        this.jTextAreaTextes.setText("");
        this.jTextAreaTextes.setBounds(new Rectangle(30, 76, 321, 104));
        this.jButtonRetour.setBounds(new Rectangle(20, 216, 206, 36));
        this.jButtonRetour.setText("Retour a la saisie");
        this.jButtonRetour.addActionListener(new VueErreurs_jButtonRetour_actionAdapter(this));
        this.jButtonQuitter.setBounds(new Rectangle(245, 216, 111, 36));
        this.jButtonQuitter.setText("Quitter");
        this.jButtonQuitter.addActionListener(new VueErreurs_jButtonQuitter_actionAdapter(this));
        this.contentPane.add(this.jLabel1, null);
        this.contentPane.add(this.jTextAreaTextes, null);
        this.contentPane.add(this.jButtonRetour, null);
        this.contentPane.add(this.jButtonQuitter, null);
        return this.contentPane;
    }

}

class VueErreurs_jButtonRetour_actionAdapter implements java.awt.event.ActionListener {
    VueErreurs adaptee;

    VueErreurs_jButtonRetour_actionAdapter(final VueErreurs adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(final ActionEvent e) {
        // adaptee.jButtonRetour_actionPerformed(e);
    }
}

class VueErreurs_jButtonQuitter_actionAdapter implements java.awt.event.ActionListener {
    VueErreurs adaptee;

    VueErreurs_jButtonQuitter_actionAdapter(final VueErreurs adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(final ActionEvent e) {
        // adaptee.jButtonQuitter_actionPerformed(e);
    }
}
