/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de categories bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.vues.detail;

import java.awt.BorderLayout;
import java.awt.Component;

import javax.swing.JPanel;

import net.simcafamily.paksou.businessComponent.IOperationBC;
import net.simcafamily.paksou.presentation.core.AbstractVue;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * @version $Revision$
 * @author $Author$
 */
public class VueDetailOperation extends AbstractVue {

    private static final Log LOGGER = LogFactory.getLog(VueDetailOperation.class);

    protected JPanel contentPane = new JPanel(new BorderLayout());

    private IOperationBC operationBC;

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#affiche()
     */
    @Override
    public Component affiche() {
        if (VueDetailOperation.LOGGER.isDebugEnabled()) {
            VueDetailOperation.LOGGER.debug("debut methode 'affiche()'");
        }
        return this.contentPane;
    }

    /**
     * @return the operationBC
     */
    public final IOperationBC getOperationBC() {
        return this.operationBC;
    }

    /**
     * @param pOperationBC
     *            the operationBC to set
     */
    public final void setOperationBC(IOperationBC pOperationBC) {
        this.operationBC = pOperationBC;
    }

}
