/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.valueObject;

import net.simcafamily.paksou.enumeration.SensOperation;

/**
 * LigneBudgetBO
 * 
 * @author $Author$
 * @version $Revision$
 */
public class LigneBudgetVO implements java.io.Serializable {

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 459450380368197610L;

    private Integer noRefInt;

    private BudgetVO budget;

    private CategorieVO categorie;

    private Float montant;

    private SensOperation sensOperation;

    /**
     * Instantiates a new ligne budget VO.
     */
    public LigneBudgetVO() {
    }

    /**
     * @return the noRefInt
     */
    public final Integer getNoRefInt() {
        return this.noRefInt;
    }

    /**
     * @param pNoRefInt
     *            the noRefInt to set
     */
    public final void setNoRefInt(final Integer pNoRefInt) {
        this.noRefInt = pNoRefInt;
    }

    /**
     * @return the budget
     */
    public BudgetVO getBudget() {
        return this.budget;
    }

    /**
     * @param pBudget
     *            the budget to set
     */
    public void setBudget(final BudgetVO pBudget) {
        this.budget = pBudget;
    }

    /**
     * @return the categorie
     */
    public CategorieVO getCategorie() {
        return this.categorie;
    }

    /**
     * @param pCategorie
     *            the categorie to set
     */
    public void setCategorie(final CategorieVO pCategorie) {
        this.categorie = pCategorie;
    }

    /**
     * @return the montant
     */
    public Float getMontant() {
        return this.montant;
    }

    /**
     * @param pMontant
     *            the montant to set
     */
    public void setMontant(final Float pMontant) {
        this.montant = pMontant;
    }

    /**
     * @return the sensOperation
     */
    public SensOperation getSensOperation() {
        return this.sensOperation;
    }

    /**
     * @param pSensOperation
     *            the sensOperation to set
     */
    public void setSensOperation(final SensOperation pSensOperation) {
        this.sensOperation = pSensOperation;
    }

}
