/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package test.net.simcafamily.paksou;

import junit.framework.Test;
import junit.framework.TestResult;
import test.net.simcafamily.paksou.businessComponent.AllBCTests;
import test.net.simcafamily.paksou.businessObject.AllBOTests;

/**
 * @author bs238
 * 
 */
public class AllTests {

    /**
     * @param args
     */
    @org.junit.Test
    public void testAll() {
        Test test = AllBOTests.suite();
        test.run(new TestResult());
        test = AllBCTests.suite();
        test.run(new TestResult());
    }

}
