/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.hibernate.type;

import net.simcafamily.paksou.enumeration.SensOperation;
import net.simcafamily.paksou.hibernate.EnumUserType;

/**
 * The Class SensOperationUserType.
 * 
 * @author $Author: simon.guerard $
 * @version $Revision: 403 $
 */
public class SensOperationUserType extends EnumUserType<SensOperation> {

    /**
     * Instantiates a new sens operation user type.
     */
    public SensOperationUserType() {
        super(SensOperation.class);
    }

}
