/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.action;

import net.simcafamily.paksou.presentation.core.AbstractBaseAction;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public final class OperationAction extends AbstractBaseAction {

    private static final Log LOGGER = LogFactory.getLog(OperationAction.class);

    @Override
    public String execute() {

        if (OperationAction.LOGGER.isDebugEnabled()) {
            OperationAction.LOGGER.debug("action lister()");
        }

        return "";
    }

    // public ActionForward detailler(ActionMapping mapping, ActionForm form, HttpServletRequest req,
    // HttpServletResponse res) throws Exception {
    //
    // if (OperationAction.LOGGER.isDebugEnabled()) {
    // OperationAction.LOGGER.debug("action detailler()");
    // }
    // try {
    // Integer idOpe = new Integer(req.getParameter(ConstantesValeurs.ID_OPERATION));
    // IOperationBO operationBO = (IOperationBO) ContextFactory.getContext().getBean("operationBO");
    // OperationVO operation = operationBO.findById(idOpe);
    // req.setAttribute(ConstantesValeurs.PARAM_OPERATION, operation);
    // } catch (NumberFormatException e) {
    //
    // }
    // ICategorieBO categorieBO = (ICategorieBO) ContextFactory.getContext().getBean("categorieBO");
    // List<CategorieVO> lstCateg = categorieBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_CATEGORIES, lstCateg);
    //
    // ICompteBO compteBO = (ICompteBO) ContextFactory.getContext().getBean("compteBO");
    // List<CompteVO> lstComptes = compteBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_COMPTES, lstComptes);
    // return mapping.findForward("operation.detail");
    // }
    //
    // public ActionForward synthetiser(ActionMapping mapping, ActionForm form, HttpServletRequest req,
    // HttpServletResponse res) throws Exception {
    //
    // if (OperationAction.LOGGER.isDebugEnabled()) {
    // OperationAction.LOGGER.debug("action detailler()");
    // }
    // SyntheseVO synthese = (SyntheseVO) form;
    // if ((synthese.getDateDebut() == null) && (synthese.getDateFin() == null)) {
    // Calendar cldr = Calendar.getInstance();
    // cldr.add(Calendar.MONTH, -1);
    // synthese.setDateDebut(cldr);
    // synthese.setDateFin(Calendar.getInstance());
    // }
    // if (synthese.getCompte() != null) {
    // IOperationBC operationBC = (IOperationBC) ContextFactory.getContext().getBean("operationBC");
    // // synthese mensuelle
    // Map<String, Map<GroupeVO, Map<CategorieVO, Float>>> mapTotale = new TreeMap<String, Map<GroupeVO,
    // Map<CategorieVO, Float>>>();
    // Calendar cldrDebut = Calendar.getInstance();
    // cldrDebut.set(Calendar.DAY_OF_MONTH, 1);
    // Calendar cldrFin = Calendar.getInstance();
    // // initialisation des calendriers
    // cldrDebut.add(Calendar.MONTH, 1);
    // cldrFin.add(Calendar.MONTH, 1);
    // for (int i = 0; i < OperationAction.NB_ITERATION; i++) {
    // cldrDebut.add(Calendar.MONTH, -1);
    // cldrFin.add(Calendar.MONTH, -1);
    // cldrFin.set(Calendar.DAY_OF_MONTH, cldrFin.getMaximum(Calendar.DAY_OF_MONTH));
    // Map<GroupeVO, Map<CategorieVO, Float>> mapMensuelle = operationBC
    // .rechercherListeOperationsParCategories(cldrDebut, cldrFin, synthese.getCompte());
    // SimpleDateFormat sdf = new SimpleDateFormat("MM - MMMM", req.getLocale());
    // mapTotale.put(sdf.format(cldrDebut.getTime()), mapMensuelle);
    // }
    // synthese.setMap(mapTotale);
    //
    // }
    //
    // ICompteBO compteBO = (ICompteBO) ContextFactory.getContext().getBean("compteBO");
    // List<CompteVO> lstComptes = compteBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_COMPTES, lstComptes);
    // return mapping.findForward("operation.synthese");
    // }
    //
    // public ActionForward attribuerCategorie(ActionMapping mapping, ActionForm form, HttpServletRequest req,
    // HttpServletResponse res) throws Exception {
    // if (OperationAction.LOGGER.isDebugEnabled()) {
    // OperationAction.LOGGER.debug("action creer()");
    // }
    // IOperationBO operationBO = (IOperationBO) ContextFactory.getContext().getBean("operationBO");
    // List<OperationVO> lstOperations = operationBO.retrieveList();
    // ICategorieBC categorieBC = (ICategorieBC) ContextFactory.getContext().getBean("categorieBC");
    // categorieBC.associerCategorie(lstOperations);
    // req.setAttribute(ConstantesValeurs.LST_OPERATIONS, lstOperations);
    // ICompteBO compteBO = (ICompteBO) ContextFactory.getContext().getBean("compteBO");
    // List<CompteVO> lstComptes = compteBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_COMPTES, lstComptes);
    // ICategorieBO categorieBO = (ICategorieBO) ContextFactory.getContext().getBean("categorieBO");
    // List<CategorieVO> lstCategories = categorieBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_CATEGORIES, lstCategories);
    // req.setAttribute(ConstantesValeurs.LST_ETAT_OPERATION, EtatOperation.getListeEtatOperation());
    // req.setAttribute(ConstantesValeurs.LST_SENS_OPERATION, SensOperation.getListeSensOperation());
    // req.setAttribute(ConstantesValeurs.LST_MOYEN_PAIEMENT, MoyenPaiement.getListeMoyenPaiement());
    // return mapping.findForward("operations.liste");
    // }
    //
    // public ActionForward creer(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse
    // res)
    // throws Exception {
    //
    // if (OperationAction.LOGGER.isDebugEnabled()) {
    // OperationAction.LOGGER.debug("action creer()");
    // }
    // OperationVO operation = (OperationVO) form;
    // IOperationBC operationBC = (IOperationBC) ContextFactory.getContext().getBean("operationBC");
    // operationBC.creerOperation(operation);
    //
    // IOperationBO operationBO = (IOperationBO) ContextFactory.getContext().getBean("operationBO");
    // List<OperationVO> lstOperations = operationBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_OPERATIONS, lstOperations);
    // ICompteBO compteBO = (ICompteBO) ContextFactory.getContext().getBean("compteBO");
    // List<CompteVO> lstComptes = compteBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_COMPTES, lstComptes);
    // ICategorieBO categorieBO = (ICategorieBO) ContextFactory.getContext().getBean("categorieBO");
    // List<CategorieVO> lstCategories = categorieBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_CATEGORIES, lstCategories);
    // req.setAttribute(ConstantesValeurs.LST_ETAT_OPERATION, EtatOperation.getListeEtatOperation());
    // req.setAttribute(ConstantesValeurs.LST_SENS_OPERATION, SensOperation.getListeSensOperation());
    // req.setAttribute(ConstantesValeurs.LST_MOYEN_PAIEMENT, MoyenPaiement.getListeMoyenPaiement());
    // return mapping.findForward("operations.liste");
    // }
    //
    // public ActionForward modifier(ActionMapping mapping, ActionForm form, HttpServletRequest req,
    // HttpServletResponse res) throws Exception {
    //
    // if (OperationAction.LOGGER.isDebugEnabled()) {
    // OperationAction.LOGGER.debug("action modifier()");
    // }
    // OperationVO operation = (OperationVO) form;
    // IOperationBC operationBC = (IOperationBC) ContextFactory.getContext().getBean("operationBC");
    // operationBC.mettreAJourOperation(operation);
    //
    // IOperationBO operationBO = (IOperationBO) ContextFactory.getContext().getBean("operationBO");
    // List<OperationVO> lstOperations = operationBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_OPERATIONS, lstOperations);
    // ICompteBO compteBO = (ICompteBO) ContextFactory.getContext().getBean("compteBO");
    // List<CompteVO> lstComptes = compteBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_COMPTES, lstComptes);
    // ICategorieBO categorieBO = (ICategorieBO) ContextFactory.getContext().getBean("categorieBO");
    // List<CategorieVO> lstCategories = categorieBO.retrieveList();
    // req.setAttribute(ConstantesValeurs.LST_CATEGORIES, lstCategories);
    // req.setAttribute(ConstantesValeurs.LST_ETAT_OPERATION, EtatOperation.getListeEtatOperation());
    // req.setAttribute(ConstantesValeurs.LST_SENS_OPERATION, SensOperation.getListeSensOperation());
    // req.setAttribute(ConstantesValeurs.LST_MOYEN_PAIEMENT, MoyenPaiement.getListeMoyenPaiement());
    // return mapping.findForward("operations.liste");
    // }
}
